19 structure changes including:
1 Breaking change
18 Modifications
1 Removal
Modified
18
Breaking
GET /api/v1/accounts
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/accounts/currency/{currency}
- Path went from
/api/v1/accounts/currency/{currencyCode}to/api/v1/accounts/currency/{currency}(same operationId) - Path
-
currencyCode path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency path parameter Added
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/accounts/{accountId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/beneficiaries
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/beneficiaries/{beneficiaryId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/currencies
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/deposits
- Response
-
200 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/deposits/{transactionId}
- Path went from
/api/v1/deposits/{depositId}to/api/v1/deposits/{transactionId}(same operationId) - Response
-
200 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
accountId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
accountId property Removed
-
application/json content type Modified
- Path
-
depositId path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId path parameter Added
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/trades
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/trades/{transactionId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/wallets
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
array[object]Breaking
- property Removed
-
Type is no longer
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/wallets/{walletId}
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
objectBreaking
- WalletResponse property Removed
-
Type is no longer
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/withdrawals
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
GET /api/v1/withdrawals/{transactionId}
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/accounts
- Body
-
application/json content type Modified
-
currencyCode property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency property Added
-
currencyCode property Removed
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/beneficiaries/withdrawals
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/trades/quote
- Body
-
application/json content type Modified
-
amount, amountMode, quoteAmountMode properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromAmount, toAmount properties Added
-
amount, amountMode, quoteAmountMode properties Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
amount, fromCurrency, toCurrency, toAmount, rate, quoteStr, fromAmount properties Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
POST /api/v1/trades/quote/confirm
- Body
-
application/json content type Modified
-
amount property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromAmount, toAmount properties Added
-
amount property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
Type is no longer
objectBreaking
- AcceptRFQQuoteResponse property Removed
-
Type is no longer
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
tradeNo, fillNo, completed properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
tradeNo, fillNo, completed properties Removed
-
application/json content type Modified
- Authentication
-
X api key & X api secret authentication method Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Header
- X-API-KEY, X-API-SECRET headers Added
Removed
1
Breaking
X api key & X api secretauthentication method
- Removing a resource is always breaking unless it was deprecated before Breaking
2 structure changes including:
2 Additions
Added
2
POST /api/v1/trades/quote
POST /api/v1/trades/quote/confirm
16 structure changes including:
1 Addition
15 Modifications
Modified
15
Breaking
GET /api/v1/accounts
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/accounts/{accountId}
- Path
-
accountId path parameter Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/beneficiaries
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/beneficiaries/{beneficiaryId}
- Path
-
beneficiaryId path parameter Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
id property Modified
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/currencies
- Response
-
200 response Modified
-
application/json content type Modified
-
Type went from
objecttoarray[object]Breaking
-
currencies property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- ExternalCurrencyResponse property Added
-
Type went from
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/deposits
- Response
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/deposits/{depositId}
- Response
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/trades
- Response
-
200 response Modified
-
application/json content type Modified
-
fills property Modified
-
tradeId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
tradeId property Removed
-
trade property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, fromAmount, toAmount, rate, isRateInverted, isRfq, status, transactionId, createdAt, completedAt properties Added
-
fills property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/trades/{transactionId}
- Response
-
200 response Modified
-
application/json content type Modified
-
fromAccountId, toAccountId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- createdAt, fills properties Added
-
fromAccountId, toAccountId properties Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
fromAccountId, toAccountId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- createdAt, fills properties Added
-
fromAccountId, toAccountId properties Removed
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/wallets
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
paymentCurrencyRouteId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, networkName, paymentMethodType properties Added
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- Query
- paymentMethodType, networkName query parameters Added
GET /api/v1/wallets/{walletId}
- Path
-
walletId path parameter Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
- Response
-
200 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
paymentCurrencyRouteId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, networkName, paymentMethodType properties Added
-
id property Modified
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
paymentCurrencyRouteId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, networkName, paymentMethodType properties Added
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/withdrawals
- Response
-
200 response Modified
-
application/json content type Modified
-
currencyCode, accountId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, createdAt properties Added
-
currencyCode, accountId properties Removed
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
GET /api/v1/withdrawals/{transactionId}
- Response
-
200 response Modified
-
application/json content type Modified
-
currencyCode, accountId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, createdAt properties Added
-
currencyCode, accountId properties Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
currencyCode, accountId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, createdAt properties Added
-
currencyCode, accountId properties Removed
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
POST /api/v1/accounts
- Response
-
201 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
409 response Modified
-
application/json content type Modified
-
id property Modified
-
Type went from
integer(int64)tostringBreaking
-
Type went from
-
currencySymbol, currencyName, custodyBalance properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
id property Modified
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
POST /api/v1/beneficiaries/withdrawals
- Body
-
application/json content type Modified
-
beneficiaryId property Modified
- Property is no longer required
-
Type went from
integer(int64)tostringBreaking
-
beneficiaryId property Modified
- Response
-
201 response Modified
-
application/json content type Modified
-
internalTransactionId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
internalTransactionId property Removed
-
application/json content type Modified
-
400 response Modified
-
application/json content type Modified
-
internalTransactionId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
internalTransactionId property Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
internalTransactionId property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
internalTransactionId property Removed
-
application/json content type Modified
-
401 response Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
Added
1
GET /api/v1/accounts/currency/{currencyCode}
19 structure changes including:
4 Breaking changes
9 Additions
6 Modifications
4 Removals
Modified
6
Breaking
GET /api/v1/withdrawals/{transactionId}
- Path went from
/api/v1/withdrawals/{withdrawId}to/api/v1/withdrawals/{transactionId}(same operationId) - Response
-
200 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
- Path
-
withdrawId path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId path parameter Added
GET /api/v1/withdrawals
- Response
-
200 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId property Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
- Query
- page, size, sort, dateFrom, dateTo, status query parameters Added
GET /api/v1/trades/{transactionId}
- Path went from
/api/v1/trades/{tradeId}to/api/v1/trades/{transactionId}(same operationId) - Response
-
200 response Modified
-
application/json content type Modified
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, isRateInverted, isRfq, transactionId properties Added
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, isRateInverted, isRfq, transactionId properties Added
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, isRateInverted, isRfq, transactionId properties Added
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
application/json content type Modified
- Path
-
tradeId path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- transactionId path parameter Added
GET /api/v1/trades
- Response
-
200 response Modified
-
application/json content type Modified
-
trade property Modified
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, isRateInverted, isRfq, transactionId properties Added
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
fills property Modified
-
id, fromCurrencyId, toCurrencyId, internalTransactionId, modifiedBy properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, transactionId properties Added
-
id, fromCurrencyId, toCurrencyId, internalTransactionId, modifiedBy properties Removed
-
trade property Modified
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
trade property Modified
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, isRateInverted, isRfq, transactionId properties Added
-
id, fromCurrencyId, fromCurrencyCode, fromCurrencySymbol, toCurrencyId, toCurrencyCode, toCurrencySymbol, spotRate, fee, internalTransactionId properties Removed
-
fills property Modified
-
id, fromCurrencyId, toCurrencyId, internalTransactionId, modifiedBy properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- fromCurrency, toCurrency, transactionId properties Added
-
id, fromCurrencyId, toCurrencyId, internalTransactionId, modifiedBy properties Removed
-
trade property Modified
-
application/json content type Modified
- Query
- sort, dateFrom, dateTo query parameters Added
GET /api/v1/deposits/{depositId}
- Response
-
200 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, transactionId properties Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, transactionId properties Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
404 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, transactionId properties Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
GET /api/v1/deposits
- Response
-
200 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, transactionId properties Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
-
401 response Modified
-
application/json content type Modified
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- currency, transactionId properties Added
-
id, currencyId, externalTransactionId, internalTransactionId properties Removed
-
application/json content type Modified
- Query
- page, size, sort, dateFrom, dateTo, status query parameters Added
Removed
4
Breaking
GET /api/v1/verification/status
- Removing a resource is always breaking unless it was deprecated before Breaking
GET /api/v1/profile
- Removing a resource is always breaking unless it was deprecated before Breaking
X api secretauthentication method
- Removing a resource is always breaking unless it was deprecated before Breaking
X api keyauthentication method
- Removing a resource is always breaking unless it was deprecated before Breaking
Added
9
POST /api/v1/beneficiaries/withdrawals
POST /api/v1/accounts
GET /api/v1/wallets/{walletId}
GET /api/v1/wallets
GET /api/v1/currencies
GET /api/v1/beneficiaries/{beneficiaryId}
GET /api/v1/beneficiaries
GET /api/v1/accounts/{accountId}
GET /api/v1/accounts
7 structure changes including:
7 Modifications
Modified
7
Breaking
GET /api/v1/deposits
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
GET /api/v1/deposits/{depositId}
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
GET /api/v1/trades
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
- Query
- page, size, status query parameters Added
GET /api/v1/trades/{tradeId}
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
GET /api/v1/verification/status
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
GET /api/v1/withdrawals
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added
GET /api/v1/withdrawals/{withdrawId}
- Authentication
-
X api key, X api secret authentication methods Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- X api key & X api secret authentication method Added